> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/agents/list-user-agents/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # List User Agents GET https://agentverse.ai/v1/agents Reference: https://docs.agentverse.ai/v-1/api-reference/agents/list-user-agents ## Request ### Query parameters - `page` (integer, optional, default: 1) — Page number - `size` (integer, optional, default: 50) — Page size ## Response ### 200 Successful Response - `items` (list of Agent, required) - `total` (integer, optional) - `page` (integer, optional) - `size` (integer, optional) - `pages` (integer, optional) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### Agent - `status` (enum, required) — Current operational status of the agent - Allowed values: `active`, `offline`, `local` - `type` (enum, required) — Type/category of the agent - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom` - `address` (string, required) — Unique blockchain address of the agent - `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints - `protocols` (list of string, required) — Supported protocol identifiers - `expiry` (string, required) — Expiration timestamp of the agent - `domain_name` (string, optional) — Associated domain name, if available - `metadata` (map from string to any, optional) — Additional arbitrary metadata ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### AgentEndpoint - `url` (string, required) - `weight` (integer, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "items": [ { "address": "foo", "name": "foo", "pending_messages": 42, "bytes_transferred": 42, "previous_bytes_transferred": 42, "readme": "foo", "avatar_url": "foo", "short_description": "foo", "agent_type": "foo" } ], "total": 42, "page": 42, "size": 42, "pages": 42 } ``` **SDK Code** ```python listUserAgentsExample import requests url = "https://agentverse.ai/v1/agents" response = requests.get(url) print(response.json()) ``` ```javascript listUserAgentsExample const url = 'https://agentverse.ai/v1/agents'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go listUserAgentsExample package main import ( "fmt" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/agents" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby listUserAgentsExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/agents") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java listUserAgentsExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://agentverse.ai/v1/agents") .asString(); ``` ```php listUserAgentsExample request('GET', 'https://agentverse.ai/v1/agents'); echo $response->getBody(); ``` ```csharp listUserAgentsExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/agents"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift listUserAgentsExample import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/agents")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.